<template>
	<div class="main-content">
		<div class="left">
			<ul>
				<router-link to="/" v-if="user.authenticated"><li><i class="fa fa-home" aria-hidden="true"></i>Home</li></router-link>
				<router-link to="/users" v-if="user.authenticated"><li><i class="fa fa-user" aria-hidden="true"></i>Users</li></router-link>
				<router-link to="/b" v-if="user.authenticated"><li><i class="fa fa-flask" aria-hidden="true"></i>B Component</li></router-link>
				<router-link to="/login" v-if="!user.authenticated"><li><i class="fa fa-lock" aria-hidden="true"></i>Login</li></router-link>
				<router-link to="/signup" v-if="!user.authenticated"><li><i class="fa fa-user-plus" aria-hidden="true"></i>Sign Up</li></router-link>
				<a href="" @click="logout" v-if="user.authenticated"><li><i class="fa fa-user-plus" aria-hidden="true"></i>Log Out</li></a>
			</ul>
		</div>
		<div class="right"><slot></slot></div>
	</div>
</template>

<script>
	import auth from '../utils/auth'
	export default {
		name: 'main-content',
		data() {
			return {
				user: auth.user
			}
		},
		methods: {
			logout() {
				auth.logout()
				// this.$router.push('/b')
			}
		}
	}
</script>

<style lang="scss">
	// .main-layout {
	// 	display: flex;

	// 	.left {
	// 		flex: 0 0 200px;
			
	// 		ul {
	// 			list-style: none;
	// 			color: #333;
	// 		}

	// 		li {
	// 			background-color: #ddd;
	// 			line-height: 40px;
	// 			padding-left: 20px;
	// 			transition: all ease-in 0.2s
	// 		}

	// 		li:hover {
	// 			background-color: #fff;
	// 		}

	// 		i {
	// 			padding-right: 10px;
	// 		}
	// 	}

	// 	.right {
	// 		flex: 1 1 auto;
	// 		background-color: #bbb;
	// 		padding: 20px;
	// 	}
	// }


</style>